typeset -g HISTSIZE=1000
typeset -g SAVEHIST=1000
typeset -g ZLE_RPROMPT_INDENT=0
# Pager and man stuff
typeset -g READNULLCMD=less
export LESS=-iRFXM
export LESS_TERMCAP_md=$'\e[01;31m'
export LESS_TERMCAP_me=$'\e[0m'
export LESS_TERMCAP_se=$'\e[0m'
export LESS_TERMCAP_so=$'\e[01;33m'
export LESS_TERMCAP_ue=$'\e[0m'
export LESS_TERMCAP_us=$'\e[01;32m'

setopt histappend autocd auto_param_slash c_bases extendedglob nomatch notify hist_ignore_all_dups hist_ignore_space share_history nobeep listpacked markdirs extendedhistory histfcntllock

if [[ -r "${ZDOTDIR}/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh" ]]; then
	typeset -g ZSH_HIGHLIGHT_HIGHLIGHTERS=(
		main
		brackets
		pattern
		cursor
	)
	source ${ZDOTDIR}/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
fi

if [[ -r "${ZDOTDIR}/zsh-autosuggestions/zsh-autosuggestions.zsh" ]]; then
	typeset -g ZSH_AUTOSUGGEST_STRATEGY=(completion history)
	typeset -g ZSH_AUTOSUGGEST_USE_ASYNC=true
	source ${ZDOTDIR}/zsh-autosuggestions/zsh-autosuggestions.zsh
fi

zstyle -s ':custom:preferences' prompt _cur_prompt
if [[ $_cur_prompt == "p9k" ]] && [[ -r "${ZDOTDIR}/powerlevel10k/powerlevel10k.zsh-theme" ]]; then
	source ${ZDOTDIR}/powerlevel-config/command.zsh
	source ${ZDOTDIR}/powerlevel-config/context.zsh
	source ${ZDOTDIR}/powerlevel-config/dir.zsh
	source ${ZDOTDIR}/powerlevel-config/disk.zsh
	source ${ZDOTDIR}/powerlevel-config/misc.zsh
	source ${ZDOTDIR}/powerlevel-config/prompt-char.zsh
	source ${ZDOTDIR}/powerlevel-config/separators.zsh
	source ${ZDOTDIR}/powerlevel-config/segments.zsh
	source ${ZDOTDIR}/powerlevel-config/status.zsh
	source ${ZDOTDIR}/powerlevel-config/time.zsh
	source ${ZDOTDIR}/powerlevel-config/vcs.zsh
	source ${ZDOTDIR}/powerlevel-config/vi-mode.zsh
	source ${ZDOTDIR}/powerlevel10k/powerlevel10k.zsh-theme
else
	autoload -Uz promptinit
	promptinit
	prompt clint
fi
